Subject: bug#67131: closed (Re: [PATCH v4 5/5] gnu: Add tuxemon.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Feb 2025 20:05:03 +0000

Your bug report

#67131: [PATCH 0/7] gnu: Add tuxemon.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67131: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67131
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v4 5/5] gnu: Add tuxemon.
From: Liliana Marie Prikler <[email-masked]>
To: Adam Faiz <[email-masked]>, [email-masked]
Cc: Steve George <[email-masked]>,宋文武 <[email-masked]>
Date: Mon, 24 Feb 2025 21:05:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Samstag, dem 15.02.2025 um 09:50 +0800 schrieb Adam Faiz:
> From 8f1ef6764d579a4c2bf087d769860e93d012d2ef Mon Sep 17 00:00:00
> 2001
> Message-ID:
> <8f1ef6764d579a4c2bf087d769860e93d012d2ef.1739583668.git.adam.faiz@di
> sroot.org>
> In-Reply-To:
> <41e55dc3f7a5b6a444cd81b641107ac5323a1303.1739583668.git.adam.faiz@di
> sroot.org>
> References:
> <41e55dc3f7a5b6a444cd81b641107ac5323a1303.1739583668.git.adam.faiz@di
> sroot.org>
> From: AwesomeAdam54321 <[email-masked]>
> Date: Mon, 13 Nov 2023 11:53:06 +0800
> Subject: [PATCH v4 5/5] gnu: Add tuxemon.
> 
> * gnu/packages/games.scm (tuxemon): New variable.
Pushed at last with some minor changes to neteria (description) and
pygame-menu (indentation).

Cheers

Subject: [PATCH 0/7] gnu: Add tuxemon.
From: Adam Faiz <[email-masked]>
To: [email-masked]
Cc: Liliana Marie Prikler <[email-masked]>, [email-masked]
Date: Mon, 13 Nov 2023 01:02:01 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

>From cfe1482480fa26ac9da818fa4b0669dd6017f99b Mon Sep 17 00:00:00 2001
Message-ID: <[email-masked]>
From: AwesomeAdam54321 <[email-masked]>
Date: Mon, 13 Nov 2023 00:36:37 +0800
Subject: [PATCH 0/7] gnu: Add tuxemon.

This patch series adds Tuxemon, a monster RPG.

I got stuck packaging this for a long time because I didn't know
how to fix the packaging problems in python-pygame and tuxemon.

It turns out the fixes were simple, but I don't think they've been
sent upstream yet.

AwesomeAdam54321 (7):
  gnu: Add python-neteria.
  gnu: Add python-pyglet.
  gnu: python-pygame: Update to 2.5.2.
  gnu: Add python-pygame-menu.
  gnu: Add python-pyscroll.
  gnu: Add python-pytmx.
  gnu: Add tuxemon.

 gnu/packages/game-development.scm | 122 +++++++++++++++++++++++++++++-
 gnu/packages/games.scm            |  62 +++++++++++++++
 2 files changed, 181 insertions(+), 3 deletions(-)

base-commit: b268842ec4808f5030f3bda95f52ff39dd88e3ad
-- 
2.41.0